<?
require_once '../core/system.php';
echo admin();
$header = 'Создание Новости';
require_once H.'core/head.php';
switch($act) {
case 'post':
if(isset($_POST['title']) && isset($_POST['msg'])) {
$title = $_POST['title'];
$msg = $_POST['msg'];
$time = time();
$id_user = $user[id];
if(strlen($title) < 3 or strlen($name) > 30) $err =  'Длина названия должна быть в пределах 3 - 30 символов';
if(!isset($err)) {
mysql_query("INSERT INTO `news` SET `title` = '$title', `msg` = '$msg', `time` = '$time', `id_user` = '$id_user'");
mysql_query("update `user` set `news_read` = '1'");
header('Location: /news/');
$_SESSION['message'] = 'Новость добавлена';
exit();
}else{
header('Location: ?');
$_SESSION['err'] = $err;
// Вывод ошибки 
exit();
} 
}else{
header('Location: ?');
$_SESSION['err'] = 'Введите данные';
exit();
}
break;
default;
echo '<form class="player" method="post" action="?act=post">';
echo 'Введи заголовок<br /><input class="text large" type="text" name="title" /><br />
Введи сообщение<br /><textarea name="msg" class = "text large" rows="4" cols="55"></textarea>';
echo '<span class="btn"><span class="end"><input class="label" type="submit" value="Создать">Создать</span></span>';
echo "</form>";
echo "<div class='mini-line'></div>";
echo "<div class='player menuList'>";
echo "<li><a href='/Adm_panel/'><img src='/images/icon/arrow.png'>Админ-Панель</a></li>";
echo "</div>";
}
require_once H.'core/foot.php';
?>